hledger-1.52.1: Command-line interface for the hledger accounting system

Safe Haskell | None
Language | GHC2021

Hledger.Cli.Anon

Description

Instances for obfuscating sensitive data (mainly text, not numbers) in various types.

Currently this is deterministic and does not provide much privacy. It has been moved to a hidden --obfuscate flag, with the old --anon flag now raising an error. See https://github.com/simonmichael/hledger/issues/2133 .

Synopsis

- class Anon a where
  - anon :: a -> a
- anonAccount :: AccountName -> AccountName

# Documentation

class Anon a where Source #

Methods

anon :: a -> a Source #

Consistent converter to structure with sensitive data anonymized

#### Instances

Instances details

Anon Journal Source # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Journal -> Journal Source #
Anon Posting Source # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Posting -> Posting Source #
Anon Transaction Source # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Transaction -> Transaction Source #
Anon Text Source # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Text -> Text Source #

anonAccount :: AccountName -> AccountName Source #

Anonymize account name preserving hierarchy